<template>
  <section class="article-detail">
    <Title>{{title? title : 'Loading'}}</Title>

    <div class="preview">
      <img :src="imagePath" alt="">
    </div>

    <h6 class="about">about</h6>

    <p class="description">
      {{description}}
    </p>
  </section>
</template>

<script lang="ts">
import { State, Action } from 'vuex-class';
import { defineComponent } from 'vue'
import Title from '../components/Title.vue'
import Card from '../components/Card.vue'
import Button from '../components/Button.vue'


export default defineComponent({
  components:{
    Title,
    Card,
    Button
  },
  mounted(){
    this.axios.get(`https://6082e3545dbd2c001757abf5.mockapi.io/qtim-test-work/posts/${this.$route.params.id}`).then(({data}) => {
      this.title = data.title
      this.imagePath = data.image
      this.description = data.description
    })
  },
  data(){
    return{
      title: '',
      imagePath: '',
      description: ''
    }
  }
})
</script>

<style lang="scss" scoped>
.article-detail{
  width: 100%;
}

.list{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: flex-start;
}

.pagination{
  display: flex;
  align-items: center;
  margin-bottom: 170px;
}

.preview{
  width: 100%;
  height: 700px;

  img{
    width: 100%;
    height: 100%;
    object-fit: cover;
  }
}

.about{
  font-size: 16px;
  margin: 70px 0px;
  text-transform: capitalize;
}

.description{
  font-size: 36px;
  width: 70%;
}
</style>